org.fourthline.cling.binding.staging

## Class MutableService

- java.lang.Object
- - org.fourthline.cling.binding.staging.MutableService

-     public class MutableService
      extends Object

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<MutableAction>` | `actions`
    `URI` | `controlURI`
    `URI` | `descriptorURI`
    `URI` | `eventSubscriptionURI`
    `ServiceId` | `serviceId`
    `ServiceType` | `serviceType`
    `List<MutableStateVariable>` | `stateVariables`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Service` | `build(Device prototype)`
    `Action[]` | `createActions()`
    `StateVariable[]` | `createStateVariables()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serviceType

          public ServiceType serviceType

    - #### serviceId

          public ServiceId serviceId

    - #### descriptorURI

          public URI descriptorURI

    - #### controlURI

          public URI controlURI

    - #### eventSubscriptionURI

          public URI eventSubscriptionURI

    - #### actions

          public List<MutableAction> actions

    - #### stateVariables

          public List<MutableStateVariable> stateVariables

  - ### Constructor Detail

    - #### MutableService

          public MutableService()

  - ### Method Detail

    - #### build

          public Service build(Device prototype)
                        throws ValidationException

      Throws:
        `ValidationException`

    - #### createActions

          public Action[] createActions()

    - #### createStateVariables

          public StateVariable[] createStateVariables()

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.